Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::Lock Class Reference

Abstract base class for lock implementation, used by Lockable. More...

`#include <lockable.h>`

Inheritance diagram for mysqlpp::Lock:

[legend]
List of all members.

## Public Methods

virtual | ~Lock ()
| Destroy object.
virtual bool | lock ()=0
| Lock the object.
virtual void | unlock ()=0
| Unlock the object.
virtual bool | locked () const=0
| Returns true if object is locked.
virtual void | set (bool b)=0
| Set the lock state.

## Detailed Description

Abstract base class for lock implementation, used by Lockable.

## Member Function Documentation

virtual bool mysqlpp::Lock::lock | ( |  | ) | `[pure virtual]`

Lock the object.

Returns:
  true if object was already locked

Implemented in mysqlpp::BasicLock.

The documentation for this class was generated from the following file:

- lockable.h